var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/lambda/mirrorRepository/index.ts
var mirrorRepository_exports = {};
__export(mirrorRepository_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(mirrorRepository_exports);
var import_logger = require("@aws-lambda-powertools/logger");
var import_client_codebuild = require("@aws-sdk/client-codebuild");
var CODEBUILD_PROJECT_NAME = process.env.CODEBUILD_PROJECT_NAME || "";
var SECRET = process.env.SECRET || "";
var logger = new import_logger.Logger();
var codebuild = new import_client_codebuild.CodeBuildClient({});
var handler = async (event) => {
  logger.info("Event", { event });
  if (event.queryStringParameters?.secret !== SECRET) {
    logger.warn("Invalid secret");
    return {
      statusCode: 401,
      body: "Invalid secret"
    };
  }
  await codebuild.send(new import_client_codebuild.StartBuildCommand({
    projectName: CODEBUILD_PROJECT_NAME
  }));
  return {
    statusCode: 202
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
